-- 基础信息
base_info = {
	group_id = 243009009
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 9001, gadget_id = 70350245, pos = { x = 98.484, y = 41.059, z = -32.980 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9002, gadget_id = 70350245, pos = { x = 41.021, y = 41.009, z = 1.591 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9003, gadget_id = 70350246, pos = { x = 52.008, y = 41.009, z = -62.971 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9004, gadget_id = 70350246, pos = { x = -30.663, y = 41.007, z = -81.911 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9005, gadget_id = 70350247, pos = { x = -0.369, y = 41.113, z = -28.278 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9006, gadget_id = 70350247, pos = { x = 98.309, y = 40.971, z = -71.340 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9007, gadget_id = 70350245, pos = { x = 65.578, y = 41.009, z = -49.273 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9008, gadget_id = 70350245, pos = { x = 97.422, y = 41.065, z = -64.398 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9009, gadget_id = 70350246, pos = { x = 95.253, y = 41.009, z = -76.661 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9010, gadget_id = 70350246, pos = { x = -39.831, y = 41.028, z = -8.691 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9011, gadget_id = 70350247, pos = { x = -33.407, y = 41.011, z = -58.469 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9012, gadget_id = 70350247, pos = { x = 13.316, y = 41.036, z = -51.630 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9013, gadget_id = 70350245, pos = { x = -37.770, y = 41.009, z = -41.606 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9014, gadget_id = 70350245, pos = { x = 18.000, y = 41.010, z = -27.464 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9015, gadget_id = 70350246, pos = { x = 100.363, y = 41.009, z = -24.877 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9016, gadget_id = 70350246, pos = { x = 24.324, y = 41.009, z = -77.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9017, gadget_id = 70350247, pos = { x = -8.922, y = 41.029, z = -7.521 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9018, gadget_id = 70350247, pos = { x = 53.065, y = 41.010, z = -0.277 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9019, gadget_id = 70900205, pos = { x = -4.300, y = 39.754, z = -49.314 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9020, gadget_id = 70350246, pos = { x = 41.450, y = 41.007, z = -78.265 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9021, gadget_id = 70350246, pos = { x = 26.844, y = 41.007, z = -46.324 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9022, gadget_id = 70350246, pos = { x = 90.836, y = 41.007, z = -50.451 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9023, gadget_id = 70350246, pos = { x = 28.696, y = 41.007, z = -29.078 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9024, gadget_id = 70350246, pos = { x = -30.933, y = 41.007, z = -60.986 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9025, gadget_id = 70350246, pos = { x = 56.366, y = 41.007, z = -2.290 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9026, gadget_id = 70350246, pos = { x = 70.852, y = 41.007, z = -2.290 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9027, gadget_id = 70350246, pos = { x = 97.727, y = 41.007, z = -28.429 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9028, gadget_id = 70350246, pos = { x = 36.890, y = 41.007, z = -78.846 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9029, gadget_id = 70350246, pos = { x = -8.292, y = 41.028, z = -14.328 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9030, gadget_id = 70350246, pos = { x = 55.031, y = 41.028, z = -4.733 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9031, gadget_id = 70350246, pos = { x = 97.224, y = 41.028, z = -29.687 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9032, gadget_id = 70350246, pos = { x = 50.915, y = 41.028, z = -74.916 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9033, gadget_id = 70350246, pos = { x = 34.372, y = 41.028, z = -45.224 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9034, gadget_id = 70350246, pos = { x = 35.346, y = 41.028, z = -78.473 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9035, gadget_id = 70350246, pos = { x = -31.885, y = 41.028, z = -78.473 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9036, gadget_id = 70350246, pos = { x = -31.920, y = 41.028, z = -68.396 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9037, gadget_id = 70350246, pos = { x = 37.652, y = 41.028, z = -48.712 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9038, gadget_id = 70350246, pos = { x = 97.264, y = 41.009, z = -59.640 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9039, gadget_id = 70350246, pos = { x = 35.752, y = 41.009, z = -45.610 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9040, gadget_id = 70350246, pos = { x = 24.324, y = 41.009, z = -77.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9041, gadget_id = 70350246, pos = { x = 29.710, y = 41.009, z = -77.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9042, gadget_id = 70350246, pos = { x = 60.640, y = 41.009, z = -49.009 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9043, gadget_id = 70350246, pos = { x = 76.260, y = 41.009, z = -48.020 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9044, gadget_id = 70350246, pos = { x = 29.710, y = 41.009, z = -28.435 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9045, gadget_id = 70350246, pos = { x = 31.526, y = 41.009, z = -28.163 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9046, gadget_id = 70350246, pos = { x = -39.239, y = 41.009, z = -10.991 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9047, gadget_id = 70350246, pos = { x = -31.028, y = 41.009, z = -77.144 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9048, gadget_id = 70350246, pos = { x = -31.625, y = 41.009, z = -69.160 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9049, gadget_id = 70350246, pos = { x = 29.710, y = 41.009, z = -30.153 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 9050, gadget_id = 70350246, pos = { x = 97.810, y = 41.009, z = -70.842 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 }
}

-- 区域
regions = {
}

-- 触发器
triggers = {
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = true
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 9001, 9002, 9003, 9004, 9005, 9006, 9020, 9021, 9022 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 2,
		-- description = ,
		monsters = { },
		gadgets = { 9007, 9008, 9009, 9010, 9011, 9012, 9029, 9030, 9031, 9032, 9033 },
		regions = { },
		triggers = { },
		rand_weight = 100
	},
	{
		-- suite_id = 3,
		-- description = ,
		monsters = { },
		gadgets = { 9013, 9014, 9015, 9016, 9017, 9018, 9038, 9039, 9040 },
		regions = { },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_3/MistTrialV2_BuffLog"
